require 'spec_helper'

describe Stasis::Extensions::ContentFor do

  let(:project_folder) { File.expand_path('../../../../fixtures/project', __FILE__) }
  let(:stasis) { Stasis.new(project_folder) }

  describe "an instance of the plugin" do
    describe "when rendered" do
      describe "#content_for" do
        it "should render the captured content" do
          stasis_render 'content_for/view.haml', :layout => 'content_for/layout.haml'
          html = <<-ENDOFHTML
<div class='top'>
  HELLO
  WORLD
</div>
THIS IS A TEST
<div class='bottom'>GOODBYE</div>
ENDOFHTML
          expect(contents_of('public/content_for/view')).to eq(html.chomp)
        end
      end
    end
  end
end
