require 'spec_helper'

describe Sass::Script::Functions do

  let(:project_folder) { File.expand_path('../../../../fixtures/project', __FILE__) }
  let(:stasis) { Stasis.new(project_folder) }

  describe "when scss is rendered" do
    describe "#asset-path" do
      it "should render the asset path" do
        stasis_render 'css/compiled.css.scss'
        expect(contents_of('public/css/compiled.css')).to include("url(/images/stasis-#{digest_for('images/stasis.png')}.png)")
      end
    end
  end
end
