require 'simplecov'
require 'simplecov-rcov'

SimpleCov.formatter = SimpleCov::Formatter::MultiFormatter[
  SimpleCov::Formatter::HTMLFormatter,
  SimpleCov::Formatter::RcovFormatter,
]

SimpleCov.start do
  add_filter '/test/'
  add_filter '/features/'
  add_filter '/spec/'
  add_filter '/autotest/'

  add_group 'Binaries', '/bin/'
  add_group 'Libraries', '/lib/'
  add_group 'Extensions', '/ext/'
  add_group 'Vendor Libraries', '/vendor/'
end

require 'rubygems'
require 'bundler/setup'

require 'stasis'
require 'stasis/extensions'

Bundler.require(:default)

SPEC_DIR = File.dirname(__FILE__)

def contents_of(asset)
  File.read(project_path(asset)).chomp
end

def digest_for(asset)
  Digest::MD5.file project_path(asset)
end

def file_for(asset)
  Pathname.new(project_path(asset))
end

def project_path(file)
  File.expand_path(file, project_folder)
end

def stasis_render(*only)
  options = only.last.is_a?(Hash) ? only.pop : {}
  wd = Dir.getwd

  stasis.controller.layout options[:layout] if options[:layout]
  stasis.render *only
ensure
  Dir.chdir(wd)
end
